package com.ads.business.api;

import com.ads.business.service.ApiUserService;
import com.ads.business.service.data.GetLoginOutData;
import com.ads.common.base.BaseController;
import com.ads.common.data.JsonResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/api/user/")
@Api(tags = "用户相关接口")
public class UserController extends BaseController {

    @Resource
    private ApiUserService userService;

    /**
     * 查询用户信息
     **/
    @PostMapping("/info")
    @ApiOperation(value = "用户信息",httpMethod = "POST",notes = "用户信息")
    public JsonResult<GetLoginOutData> userInfo() {
        return userService.userInfo();
    }

}
