package com.ads.business.dao;

import com.ads.business.entity.TypeRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author hou
 * @since 2021-10-21
 */
public interface TypeRoleDao extends BaseMapper<TypeRole> {

    void insertBatch(@Param("list") ArrayList<TypeRole> list);


    /**
     * 根据文件分类ID获取对应的授权的手机号码
     * @param typeId 文件分类ID
     * @return List<TypeRole>
     */
    List<TypeRole> getMobileList(@Param("typeId") Long typeId);

    List<String> getListByTypeId(@Param("typeId") Long typeId,@Param("mobile") String mobile);
}
