package com.ads.business.service.model.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author ludilong
 * @Date 2021/10/25 10:38
 * @Destription 新增或修改文件参数
 */
@Data
@ApiModel(description = "新增或修改文件参数")
public class DocRequest {

    @ApiModelProperty("文件ID")
    private String id;

    @ApiModelProperty("文件分类")
    private Long typeId;

    @ApiModelProperty("文件名称")
    private String name;

    @ApiModelProperty("文件地址")
    private String docUrl;

    @ApiModelProperty("链接地址")
    private String linkUrl;

    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("群会话列表")
    private List<ConversationRequest> conversationList;

    @ApiModelProperty("文件大小")
    private String fileSize;

    @ApiModelProperty("访问权限")
    private List<String> role;

}
