package com.ads.business.service.model.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Return
 * @Author hou
 * @Date 2021/10/25 14:11
 * @Destription
 */
@Data
@ApiModel("编辑文件分类请求")
public class DocTypeEditRequest {

    @ApiModelProperty("文件分类id")
    private Long typeId;

    @ApiModelProperty("分类名称")
    @NotBlank(message = "分类名称不为空")
    private String name;

    @ApiModelProperty("链接地址")
    private String linkUrl;

    @ApiModelProperty("状态 1-启用 0-禁用")
    @NotNull(message = "状态不为空")
    private Integer status;

    @ApiModelProperty("群会话列表")
    private List<ConversationRequest> conversationList;

    @ApiModelProperty("访问权限")
    private List<String> role;
}
