package com.ads.business.service.model.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Return
 * @Author hou
 * @Date 2021/10/25 10:36
 * @Destription
 */
@Data
@ApiModel("编辑用户请求")
public class EditUserRequest {

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("账号")
    @NotBlank(message = "账号不能为空")
    private String account;

    @ApiModelProperty("姓名")
    @NotBlank(message = "姓名不能为空")
    private String name;

    @ApiModelProperty("状态")
    @NotNull(message = "状态不为空")
    private Integer status;

    @ApiModelProperty("密码")
    private String password;
}
