package com.ads.business.service.model.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author: stamm
 * @Date: 2021/10/26/16:47
 */
@Data
@ApiModel(description = "重置密码入参")
public class ResetPasswordRequest {

    @ApiModelProperty("用户ID")
    @NotNull(message = "用户ID不能为空")
    private Long id;

    @ApiModelProperty("重置的密码")
    @NotBlank(message = "重置的密码不能为空")
    private String password;


}
