package com.ads.common.dingTalk.config;

/**
 * top地址相关配置
 *
 * @author openapi@dingtalk
 * @date 2020/2/4
 */
public class UrlConstant {
    private static final String HOST = "https://oapi.dingtalk.com";

    /**
     * 钉钉网关 gettoken 地址
     */
    public static final String URL_GET_TOKEN = HOST + "/gettoken";

    /**
     * 获取 jsapi_ticket 地址
     */
    public static final String URL_GET_JSTICKET = HOST + "/get_jsapi_ticket";

    /**
     * 获取用户在企业内 userId 的接口URL
     */
    public static final String URL_GET_USER_INFO = HOST + "/user/getuserinfo";

    /**
     * 获取用户姓名的接口URL
     */
    public static final String URL_USER_GET = HOST + "/user/get";

    /**
     * 获取部门列表接口URL
     */
    public static final String URL_DEPARTMENT_LIST = HOST + "/department/list";

    /**
     * 获取部门用户接口URL
     */
    public static final String URL_USER_SIMPLELIST = HOST + "/user/simplelist";

    /**
     * 获取角色列表
     */
    public static final String URL_USER_ROLE_LIST = HOST + "/topapi/role/list";

    /**
     * 获取指定角色员工列表
     */
    public static final String URL_USER_ROLE_SIMPLELIST = HOST + "/topapi/role/simplelist";

    /**
     * 创建或更新审批模板
     */
    public static final String URL_PROCESS_SAVE = HOST + "/topapi/process/save";

    /**
     * 删除模板
     */
    public static final String URL_PROCESS_DELETE = HOST + "/topapi/process/delete";

    /**
     * 创建实例
     */
    public static final String URL_PROCESS_WORKRECORD_CREATE = HOST + "/topapi/process/workrecord/create";

    /**
     * 更新实例状态
     */
    public static final String URL_PROCESS_WORKRECORD_UPDATE = HOST + "/topapi/process/workrecord/update";

    /**
     * 批量更新实例状态
     */
    public static final String URL_PROCESS_WORKRECORD_BATCH_UPDATE = HOST + "/topapi/process/workrecord/batchupdate";

    /**
     * 部门详情
     */
    public static final String URL_DEPT_DETAIL = HOST + "/department/get";

    /**
     * 发送工作通知消息
     */
    public static final String URL_SEND_MESSAGE = HOST + "/topapi/message/corpconversation/asyncsend_v2";

    /**
     * 发起代办
     */
    public static final String WORK_RECORD_ADD = HOST + "/topapi/workrecord/add";

    /**
     * 更新代办状态
     */
    public static final String WORK_RECORD_UPDATE = HOST + "/topapi/workrecord/update";

    /**
     * 获取用户待办任务列表
     */
    public static final String WORK_RECORD_GET_INFO = HOST + "/topapi/workrecord/getbyuserid";

    /**
     * 创建群会话
     */
    public static final String CREATE_CHAT = HOST + "/chat/create";

    /**
     * 根据手机号获取userid
     */
    public static final String GET_USERID = HOST + "/topapi/v2/user/getbymobile";

    /***
     * 获取群会话信息
     */
    public static final String GET_CHAT_INFO = HOST + "/chat/get";
}
